#
#   Copyright [2011] [Red Hat, Inc.]
#
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#  limitations under the License.
#
Name:       aeolus-audrey-agent
Version:    0.4.0
Release:    9%{?dist}
Summary:    The Aeolus Audrey Startup Agent

Group:      Applications/System
License:    ASL 2.0
URL:        http://aeolusproject.org
Source0:    http://joev.fedorapeople.org/audrey-agent/aeolus-audrey-agent-%{version}.tar.gz

BuildRequires: help2man

Requires:   facter python-httplib2 python-oauth2
%if (0%{?fedora} <= 14 || 0%{?rhel} <= 6)
Requires: python-argparse
%endif

BuildArch:  noarch

%description
The Aeolus Audrey Startup Agent, a script which runs on a booting
cloud instance to retrieve configuration data from the Aeolus
Config Server.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man8

# copy over the audrey startup agent bits
install audrey_startup.py %{buildroot}%{_bindir}/audrey
cp audrey.8 %{buildroot}%{_mandir}/man8

%files
%{_bindir}/audrey
%{_mandir}/man8/audrey.8*
%doc COPYING

%changelog
* Tue Nov 09 2011 Joe VLcek <jvlcek@redhat.com> 0.4.0-9
- Update the licensing information
* Tue Nov 08 2011 Joe VLcek <jvlcek@redhat.com> 0.4.0-8
- Add man page generation and address some packaging review feedback
* Tue Nov 08 2011 Greg Blomquist <gblomqui@redhat.com> 0.4.0-7
- Fixing changelog history
* Mon Nov 07 2011 Joe VLcek <jvlcek@redhat.com> 0.3.1-7
- Address Packaging for Fedora review feedback
* Fri Nov 05 2011 Joe VLcek <jvlcek@redhat.com> 0.3.1-6
- Packaging for Fedora
* Wed Nov 02 2011 Greg Blomquist <gblomqui@redhat.com> 0.4.0-6
- Handles base64 encoded and decoded data in user data
* Wed Nov 02 2011 Greg Blomquist <gblomqui@redhat.com> 0.4.0-3
- Fix for audrey.log location
* Thu Oct 27 2011 Greg Blomquist <gblomqui@redhat.com> 0.4.0-2
- Radez doubled unit test coverage
* Wed Oct 26 2011 Greg Blomquist <gblomqui@redhat.com> 0.4.0-1
- Now using oauth to authenticate with Config Server
- Parsing a new user data format that is versioned
* Thu Oct 20 2011 Dan Radez <dradez@redhat.com> 0.3.1-3
- adding requires for rpm installations
* Tue Oct 11 2011 Joe VLcek <joev@redhat.com> 0.3.1-2
- RHEVm user data injection base64 encoded.
* Fri Sep 30 2011 Joe VLcek <joev@redhat.com> 0.3.1-1
- RHEVm user data injection.
* Wed May 18 2011 Joe VLcek <joev@redhat.com> 0.0.1-1
- Initial build.
